<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
    <script nonce="${sessionScope.cspNonce}">
        <cv:cvMessages bundle="localization.storage"></cv:cvMessages >
    </script>
<div class="row">
    <div class="col-xs-10 col-md-8 col-xs-offset-1 col-md-offset-2">
        <div class="setup-title">
            <h1><cv:msg key="label.copyPolicy" bundle="storage"/></h1>
        </div>
        <div class="setup-section storage-policy-copy-create">
            <div class="bootstrap-wrapper">
                <div class="form-horizontal">
                    <h4 class="text-align-left" ><cv:msg key="label.backupCreate" bundle="storage"/></h4>
                    <div class="form-group">
                        <div ng-if="!isSelectiveCopyChecked()" class="col-xs-12 col-md-12 col-lg-12">
                            <input id="allBackUpsCheckFinal" type="checkbox" data-ng-model="allBackups" ng-change="changeBackups()"/>
                            <label for="allBackUpsCheckFinal" class="checkbox-label">
                                <cv:msg key="label.allBackups" bundle="storage"/>
                            </label>
                        </div>
                        <div class="row allBackupsResult text-align-left" ng-if="!allBackups">
                            <div class="col-xs-12 col-md-4 col-lg-4 backupsTitle">
                                <span><cv:msg key="label.backupsOn" bundle="storage"/></span>
                            </div>
                            <div class="col-xs-12 col-md-8 col-lg-8">
								<div class="input-group calendar-link-wrapper">
									 <input type="text" class="date-box"
												data-datetime-picker="MM/dd/yyyy"
												data-ng-model="datepicker.value"
												data-is-open="datepicker.open"
												data-datepicker-options="datepicker.dateOptions" enable-time="false" />
									<span class="input-group-btn">
										<button id="storagePolicyCopyPolicyTemplate_button_#6489" type="button" class="btn btn-default" data-ng-click="openDateModal()"><i class="glyphicon glyphicon-calendar"></i></button> 
									</span>
								</div>
                                <span class="error" data-ng-if="generalTabErrors.backups">{{generalTabErrors.backups}}</span>
                            </div>
                        </div>
                    </div>
                            <br>
                    <h4 class="text-align-left" ><cv:msg key="label.auxiliaryCopy" bundle="storage"/></h4>
                    <div class="form-group">
                        <div class="col-xs-12 col-md-4 col-lg-4">
                            <input id="allAuxCopy" type="checkbox" data-ng-model="auxCopy" ng-change="changeAuxCopy()" />
                            <label for="allAuxCopy" class="checkbox-label">
                                <cv:msg key="label.setAuxiliaryCopy" bundle="storage"/>
                            </label>
                        </div>
                        <div class="col-xs-12 col-md-8 col-lg-8 select-aux-copy">
                            <div class="max-width-200">
                                <select name="repeatSelect" id="repeatSelect" ng-model="selectedAuxCopy" ng-if="auxCopy" ng-change="changeSelectedAux(selectedAuxCopy)">
                                    <option value="" selected><cv:msg key="placeholder.selectSourceCopy" bundle="storage" /> </option>
                                    <option ng-show="isSelectiveCopy.selected || !isSelectiveCopy.selected && aux.copyType==1" ng-repeat="aux in auxCopyValues" value="{{aux.StoragePolicyCopy.copyName}}">{{aux.StoragePolicyCopy.copyName}}</option>
                                </select>
                            </div>
                            <div class="error" data-ng-if="generalTabErrors.sourceCopy">{{generalTabErrors.sourceCopy}}</div>
                        </div>
                    </div>
                    <div class="button-container no-margin text-center">
                        <button id="storagePolicyCopyPolicyTemplate_button_#0012" type="button" data-ng-click="goPreviousStep()" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.back" bundle="storage"/></button> 
                        <button id="storagePolicyCopyPolicyTemplate_button_#9211" type="button" data-ng-click="savePolicyTab()" class="btn btn-primary cvBusyOnAjax setup-btn--hidden"><cv:msg key="action.save" bundle="storage"/></button> 
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>