<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
</script>
<!--   Controller  : createStoragePool.ctrl.js -- createScaleoutStoragePoolController   -->
<div class="row">
<!-- <div class="col-xs-12 col-lg-12"> -->
<!-- <div class="col-xs-12 col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2"> -->
	<div class="col-xs-12 col-lg-12" data-ng-if="!isSetup && !repGrp">
		<div class="setup-title">
			<h1><cv:msg key="title.addHyperScale" bundle="storage" /></h1>
		</div>
	</div>
	<form class="form-horizontal" data-cv-submit="createStoragepool()" name="scaleoutForm" autocomplete="off" novalidate>
	<div class="setup-section padding-top-0">
		<div class="text-center">
			<p class="{{generalSetupMessage.type}} serverMessage">{{generalSetupMessage.message}}</p>
		</div>
		<div class="bootstrap-wrapper margin-reset form-horizontal">
		<div class="col-xs-12 col-lg-12">
		<div class="panel panel-default">
		<div class="panel-body">
				<!-- Name -->
				<div class="form-group">
					<label class="col-xs-4 col-md-4 col-lg-4" for="storagePoolName"><cv:msg key="Name" bundle="storage" /></label>
					<div class="col-xs-8 col-md-8 col-lg-8">
						<input id="storagePoolName"
								type="text"
								name="storagePoolName"
								maxlength="128"
								data-ng-model="globalTemplate.configureScaleoutStorage.storagePoolName"
								pattern="^[a-zA-Z0-9]{1,}$"
								required
								autofocus />
						<div class="help-block" data-ng-show="cv.scaleoutForm.needsAttention(scaleoutForm.storagePoolName)"><i class="ion-alert-circled"></i>
							<cv:msg key="error.noStoragePoolName" bundle="storage" />
						</div>
					</div>
				</div>
				<!-- Name end -->
				<!-- // MediaAgents // -->
				<div class="form-group">
					<label for="MediaAgents" class="col-xs-4 col-md-4 col-lg-4">
						<cv:msg key="label.nodes" bundle="storage" />
					</label>
					<div class="col-xs-8 col-md-8 col-lg-8">
						<isteven-multi-select id="MediaAgents" name="MediaAgents"
							input-model="mediaAgentList"
							output-model="globalTemplate.agentList"
							button-label="displayName" item-label="displayName" tick-property="ticked"
							class="isteven-multi-select user-group-select"
							title="{{selectedMediaAgents}}"
							helper-elements="filter"
							on-item-click="mediaAgentSelection()"
							tick-property="selected"
							min-search-length="1"
							search-property="displayName">
						</isteven-multi-select>
						<div class="help-block"	data-ng-show="showMediaAgentErrorMessage"><i class="ion-alert-circled"></i> <span data-ng-bind-html="showMediaAgentErrorMessage"></span></div>
					</div>
				</div>
				<!-- // end MediaAgents // -->			
		</div></div></div>
		<div class="button-container" data-ng-class="{'padding-left-20 padding-right-30': isSetup}">
			<div data-ng-if="!isSetup">
				<button id="createScaleoutStoragePool_button_#7708" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="closeModal()"> 
					<cv:msg key="Cancel" bundle="messages" />
				</button>
				<button id="createScaleoutStoragePool_button_#2290" type="submit" class="btn btn-primary cvBusyOnAjax"> 
					<cv:msg key="action.save" bundle="storage" />
				</button>
			</div>
			<div data-ng-if="isSetup">
				<div class="" data-ng-if="!formStorage.hide">
						<button id="createScaleoutStoragePool_button_#3026" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-if="isCurrentStepCompleted()" data-ng-click="skip()"><cv:msg key="Skip" /></button> 
						<button id="createScaleoutStoragePool_button_#2004" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.save" bundle="storage" /></button> 
				</div>
			</div>
		</div>
		</div><!-- // end bootstrap-wrapper // -->
		</div><!-- // end setup-section // -->
		</form>
<!-- </div> -->
</div>
