<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
</script>
<div class="row setup-content padding-0 bootstrap-wrapper medium-width">
<div data-ng-class="{'col-xs-12 col-lg-12': isSetup}">
<div class="setup-title margin-left-15" data-ng-if="!repGrp">
	<h1 data-ng-if="isModalFromMultipleDDBGrid">
		<cv:msg key="title.addLibrary" bundle="storage" />
	</h1>
    <h1 data-ng-if="!isSetup && !isModalFromMultipleDDBGrid">
        <cv:msg key="title.addMountPath" bundle="storage" />
        <cv-help-component help-text="<cv:msg key="label.storagePoolHelpText" bundle="storage"/>"></cv-help-component>
    </h1>
    <h1 data-ng-if="isSetup && !(isTenantAdmin || isTenantOperator || isShowStorageSelection)">
        <cv:msg key="title.addLibrary" bundle="storage" />
    </h1>
    <!-- we are showing the message in the i icon hover, so removing from here span data-ng-if="isSetup && !(isTenantAdmin || isTenantOperator) && !storagePresent" class="help-text"><cv:msg key="label.storagePoolHelpText" bundle="storage"/></span-->
</div>
<div class="setup-section padding-top-0">
	<div class="text-center" data-ng-if="isSetup || isDiskStorageForMultipleDDBs">
		<div class="{{generalSetupMessage.type}} serverMessage">{{generalSetupMessage.message}}</div>
		<p class="text-center padding-top-20" data-ng-show="formStorage.hide && !mspModeOn"><a data-ng-click="changeStorage()"><cv:msg key="label.addAnotherStorage" bundle="storage" /></a></p>
	</div>
	<div data-ng-hide="formStorage.hide">
		<form name="storageForm" data-ng-class="[typeOfStorage.type]" data-cv-submit="onSubmitDiskForm()">
			<div class="bootstrap-wrapper medium-width setup-content form-horizontal modal-margin">
			<div class="panel panel-default" data-ng-class="{'margin-top-20': isSetup}">
				<div class="panel-body padding-top-0">
				<!-- Name -->
				<div class="form-group" data-ng-if="!isModalFromMultipleDDBGrid">
					<label class="col-xs-4 col-md-4 col-lg-4" for="storagePoolName"><cv:msg key="Name" bundle="storage" /></label>
					<div class="col-xs-8 col-md-8 col-lg-8" data-ng-class="{'padding-left-10': isSetup && typeOfStorage.type === 'networkStorage', 'padding-left-20': isSetup && typeOfStorage.type == 'localStorage', 'padding-right-30': isSetup}">
						<input id="storagePoolName" type="text" name="storageName" data-ng-model="globalTemplate.name" required autofocus />
						<span class="help-block" data-ng-show="storageForm.storageName.$error.required && cv.storageForm.needsAttention(storageForm.storageName)"><cv:msg key="error.storagePoolName.required" bundle="storage"/></span>
        				<span class="help-block" data-ng-show="storageForm.storageName.$error.maxlength && cv.storageForm.needsAttention(diskStorageForm.storageName)"><cv:msg key="error.storagePoolName.length" bundle="storage"/></span>
					</div>
				</div>
				<!-- Name end -->
				<!-- Storage pool Type -->
				<div class="form-group" data-ng-show="isSetup && !isTenantAdmin && mediaAgentList.length > 0">
					<label class="col-xs-4 col-md-4 col-lg-4" for="storagepoolType"><cv:msg key="label.storagePoolType" bundle="storage" /></label>
					<div class="col-xs-8 col-md-8 col-lg-8">
						<select id="StoragepoolType" name="StoragepoolType"
							data-ng-model="globalTemplate.configureStorage.storagepoolType"
							class="no-float-auto tile-large-width"
							data-ng-change="setStoragePoolType()">
						<option value="0" data-ng-selected="true"><cv:msg key="label.DeduplicationSP" bundle="storage" /></option>
						<option  data-ng-if="!isTenantAdmin && mediaAgentList.length > 0" value="1"><cv:msg key="label.SCALEOUTSP" bundle="storage" /></option>
						</select>
						<span class="help-block" data-ng-show="cv.storageForm.needsAttention(storageForm.mediaAgent)"><cv:msg key="error.mediaAgent" bundle="storage"/></span>
					</div>
				</div>
				<!--  Storage pool Type end -->
			<%-- <div data-ng-disabled='!agentList.length || agentList.length < 0 || !libraries || libraries < 0'> --%>
			<cv-tile-component data-ac-id="label_configureStorage-storage" data-ng-hide="isScaleout">
					<div name="mediaAgentGridConfig" data-ng-if="isDiskStorageForMultipleDDBs && !isModalFromMultipleDDBGrid" class="padding-left-15 padding-right-15">
						<cv-kendo-grid data-cv-grid-options="storageGridForDiskCloudMultipleDDB"></cv-kendo-grid>
					</div>
					<div name="configureStorageForm" data-ng-if="(isSetup || isModalFromMultipleDDBGrid) && configureStorage == 'newStorage'">
						<!-- media agent -->
						<div class="form-group" data-ng-if="configureStorage == 'newStorage'">
							<label class="col-xs-4 col-md-4 col-lg-4" for="mediaAgent"><cv:msg key="label.mediaAgentName" bundle="storage"/></label>
							<div class="col-xs-8 col-md-8 col-lg-8" data-ng-class="{'padding-left-5': typeOfStorage.type === 'networkStorage'}">
								<select-with-create-button
									select-id="mediaAgent"
									select-name="mediaAgent"
									key-label="displayName"
									key-id="mediaAgentId"
									option-list="agentList"
									selected-option="selectedMediaAgent"
									select-only-option="true"
									on-change-option="setClientType"
									on-click-create-button="openCreateMediaAgentModal"
									is-required="true"
									has-error="error.errorMediaAgent"
									class="no-float-auto tile-large-width"
									placeholder='<cv:msg key="placeholder.mediaAgent" bundle="storage"/>'
									is-credential="false">
								</select-with-create-button>
								<span class="help-block" data-ng-show="error.errorMediaAgent"><cv:msg key="error.mediaAgent" bundle="storage"/></span>
							</div>
						</div>
						<!-- media agent end -->
						<div  data-ng-if="configureStorage == 'newStorage'">
							<!-- Local path and network path radio start -->
							<div class="form-group" data-ng-if="(isSetup || (isModalFromMultipleDDBGrid)) && !isUnixMA">
								<label class="col-xs-4 col-md-4 col-lg-4" for="types"><cv:msg key="label.Type" bundle="storage"/></label>
								<div class="col-xs-8 col-md-8 col-lg-8" id="types">
									<div class="multiple-radio-group min-width-150">
										<label for="localStorage"><input type="radio" data-ng-model="typeOfStorage.type"
												id="localStorage"
												value="localStorage"
												name="StorageType"
												data-ng-change="changeStorageType()" />
										<span class="block-indent"><cv:msg key="label.local" bundle="storage" /></span></label>
									</div>
									<div class="multiple-radio-group min-width-150">
										<label for="networkStorage"><input type="radio" data-ng-model="typeOfStorage.type"
												id="networkStorage"
												value="networkStorage"
												name="StorageType"
												data-ng-change="changeStorageType()" />
										<span class="block-indent"><cv:msg key="label.network" bundle="storage" /></span></label>
									</div>
								</div>
							</div>
				            <!-- Local path and network path radio end -->
							<div data-ng-if="(isSetup || isModalFromMultipleDDBGrid) && typeOfStorage.type=='networkStorage'">
								<div data-ng-if="showSwitchToCM">
										<h4 class="text-align-left padding-top-20"><span><cv:msg key="label.credentials" bundle="vmManagement"/></span></h4>
										<label>
											<toggle-control status="switchToCM" data-ng-click = "toggleCredentialType()"></toggle-control>
											<span><cv:msg key="label.useSavedCred" bundle="storage"/></span>
										</label>
									</div>
									<div class="margin-left-50" data-ng-class="{'add-collection-form form-group' : !showSwitchToCM, 'add-collection-form form-group panel-body no-padding' : showSwitchToCM }" data-ng-if="showCredentialDropDown">
										<div>
											<label class="col-xs-3 col-md-3 col-lg-3 padding-0" for="credential"><cv:msg key="Name" bundle="storage"/></label>
											<div class="col-xs-9 col-md-9 col-lg-9" data-ng-class="{'general-input-padding' : isSetup}">
												<select-with-create-button
													select-id="credential"
													select-name="credential"
													key-label="credentialName"
													key-id="credentialId"
													option-list="savedCredentials"
													selected-option="globalTemplate.configureStorage.credential"
													on-click-create-button="openCreateCredentialModal"
													is-required="true"
													has-error="cv.addCollectionForm.needsAttention(addCollectionForm.credential)"
													class="no-float-auto tile-large-width"
													placeholder='<cv:msg key="placeholder.credential" bundle="storage"/>'
													edit-disabled="globalTemplate.configureStorage.credential === null"
													on-click-edit-button="openEditCredentialModal"
													is-credential="true">
												</select-with-create-button>
											</div>
										</div>
									</div>
									<div class="margin-left-50" data-ng-class="{'add-collection-form form-group' : !showSwitchToCM, ' add-collection-form form-group panel-body no-padding' : showSwitchToCM }" data-ng-if="!showCredentialDropDown">
										<div>
											<label class="col-xs-3 col-md-3 col-lg-3 padding-0" for="userName"><cv:msg key="User Name" bundle="storage" /></label>
											<div class="col-xs-9 col-md-9 col-lg-9" data-ng-class="{'general-input-padding' : isSetup}">
												<input type="text" class="network-path" name="userName" id="userName" data-ng-model="globalTemplate.configureStorage.userName" data-ng-change="validateUserName()"/>
												<span class="help-block padding-top-5" data-ng-show="emptyUserName"><cv:msg key="error.loginName.required" bundle="storage"/></span>
											</div>
										</div>

										<div>
											<label class="col-xs-3 col-md-3 col-lg-3 padding-0" for="password"><cv:msg key="Password" bundle="storage" /></label>
											<div class="col-xs-9 col-md-9 col-lg-9" data-ng-class="{'general-input-padding' : isSetup}">
												<input type=password class="network-path" name="password" id="password" data-ng-model="globalTemplate.configureStorage.password" />
											</div>
										</div>
								</div>
							</div>
							<!-- // path start// -->
							<div class="form-group" data-ng-if="isSetup || (isModalFromMultipleDDBGrid)">
								<label class="col-xs-4 col-md-4 col-lg-4" for="mountPath">
									<span data-ng-if="isZealBrand"><cv:msg key='label.storageLocation' bundle='storage' /></span>
									<cv-help-text data-ng-if="!isZealBrand" help-label="<cv:msg key="label.backupLocation"  bundle="storage" />" help-text="'<cv:msg key='label.pathHelpText' bundle='storage' />'"/>
								</label>

								<div class="col-xs-8 col-md-8 col-lg-8" data-ng-class="{'network-input-padding' : typeOfStorage.type === 'networkStorage'}">
									<div data-ng-if="typeOfStorage.type=='localStorage'" class="input-group">
										<input type="text" class="indexServerPath full-width" 
										 data-ng-if="!showClusterFixed"
										 data-ng-class="{'network-path' : typeOfStorage.type == 'networkStorage'}"
										 name="mountPath" id="mountPath" data-ng-model="globalTemplate.configureStorage.mountPath" />
 										<input type="text" class="indexServerPath full-width"
										 data-ng-class="{'network-path' : typeOfStorage.type == 'networkStorage'}"
										 data-ng-if="showClusterFixed"
										 name="mountPath" id="mountPath" data-ng-model="globalTemplate.configureStorage.mountPath" />
										<span class="input-group-btn">
											<button id="storagePoolGeneralTemplate_button_#0450" type="button" class="icon-style cv-material-button browse" data-ng-click="browse({isDDBLocation: false})">
												<div class="cv-material-button-icon cursor-pointer">
													<svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M0 0h24v24H0z" fill="none"/><path d="M19 4H5c-1.11 0-2 .9-2 2v12c0 1.1.89 2 2 2h4v-2H5V8h14v10h-4v2h4c1.1 0 2-.9 2-2V6c0-1.1-.89-2-2-2zm-7 6l-4 4h3v6h2v-6h3l-4-4z"/></svg>
												</div><div class="cv-material-button-tooltip"><cv:msg key="Browse" bundle="storage" /></div>
											</button>
										</span>
									</div>
									<input data-ng-if="typeOfStorage.type !== 'localStorage'"
										type="text" class="indexServerPath full-width"
										data-ng-class="{'network-path' : typeOfStorage.type === 'networkStorage'}"
										name="mountPath" id="mountPath"
										data-ng-model="globalTemplate.configureStorage.mountPath" />
								</div>
							</div>
							<!-- // path end// -->
							
							<!--   Hedvig cluster section dropdown/show cluster start-->
							<div class="form-group" data-ng-if="showClusterDropDown && isUnixMA && pathStartsWithHedvig && clusterList">
								<label class="col-xs-4 col-md-4 col-lg-4" for="hedvigCluster"><cv:msg key="label.hedvigClusterName" bundle="storage"/></label>
								<div class="col-xs-8 col-md-8 col-lg-8" data-ng-class="{'padding-left-5': typeOfStorage.type === 'networkStorage'}">
									<select-with-create-button
										select-id="hedvigCluster"
										select-name="distributedStorage"
										key-label="distributedStorageName"
										key-id="distributedStorageId"
										option-list="clusterList"
										selected-option="globalTemplate.configureStorage.distributedStorage"
										select-only-option="true"
										on-click-create-button="openRegisterCluster"
										is-required="true"
										create-button-disabled="hideRegisterClusterButton"
										class="no-float-auto tile-large-width"
										placeholder='<cv:msg key="placeholder.hedvigCluster" bundle="storage"/>'
										is-credential="false">
									</select-with-create-button>
								</div>
							</div>
											
							<div class="form-group"  data-ng-if="showClusterFixed">
								<label class="col-xs-4 col-md-4 col-lg-4" for="distributedStorageName" class="add-collection-form">
					                <cv:msg key="label.hedvigClusterName" bundle="storage"/>
								</label>
				                <div class="col-xs-8 col-md-8 col-lg-8 margin-top-10" name="distributedStorageName" data-ng-bind="globalTemplate.configureStorage.distributedStorage.distributedStorageName"></div>
								
							</div>
							<!--  Hedvig cluster section dropdown/show cluster  end-->
							
							<!-- // DDB partition path start// -->
							<div class="margin-top-5" data-ng-if="isSetup || (isModalFromMultipleDDBGrid && shouldShowDDBLocationSection)">
								<div class="form-group" data-ng-if="isSetup || isModalFromMultipleDDBGrid">
									<div class="col-xs-12 col-md-12 col-lg-12">
										<toggle-control
											class="margin-right-5"
											status="showDDBLocation ? 'enabled-activity' : 'disabled-activity'"
											data-ng-click="onToggleUseDDB()">
										</toggle-control>
										<span for="partitionPath"><cv:msg key="label.useDeduplication"  bundle="storage" /></span>
									</div>
								</div>
								<div class="form-group" data-ng-if="showDDBLocation">
									<label class="col-xs-4 col-md-4 col-lg-4" for="partitionPath" data-ng-class="{'padding-left-40': isSetup || (isModalFromMultipleDDBGrid && showInputs)}">
										<cv-help-text help-label="<cv:msg key="label.deduplicationDBLocation"  bundle="storage" />" help-text="'<cv:msg key='label.ddbPartitionPathHelpText' bundle='storage' />'"/>
									</label>
									<div class="col-xs-8 col-md-8 col-lg-8" data-ng-class="{'network-input-padding' : typeOfStorage.type === 'networkStorage'}">
										<div class="input-group">
											<input type="text" class="indexServerPath" name="partitionPath" id="partitionPath"
											data-ng-model="globalTemplate.ddbPartitionPath"/>
											<span class="input-group-btn">
												<button id="storagePoolGeneralTemplate_button_#7929" type="button" class="icon-style cv-material-button browse" data-ng-click="browseForPartitionPath({isDDBLocation: showDDBLocation})">
													<div class="cv-material-button-icon cursor-pointer">
														<svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M0 0h24v24H0z" fill="none"/><path d="M19 4H5c-1.11 0-2 .9-2 2v12c0 1.1.89 2 2 2h4v-2H5V8h14v10h-4v2h4c1.1 0 2-.9 2-2V6c0-1.1-.89-2-2-2zm-7 6l-4 4h3v6h2v-6h3l-4-4z"/></svg>
													</div><div class="cv-material-button-tooltip"><cv:msg key="Browse" bundle="storage" /></div>
												</button>
											</span>
										</div>
									</div>
								</div>
							</div>
							<!-- // DDB partition path end// -->
						</div><!--// data-ng-if="configureStorage == 'newStorage'" end // -->
					</div><!-- // data-ng-if="configureStorage == 'newStorage'" end // -->
				</cv-tile-component>
				<!--scale-out storage for setup screen-->
					<div data-ng-show="isSetup" data-ng-hide="!isScaleout">
						<cv-tile-component data-ac-id="label_configureStorage-storage">
						<h4><cv:msg key="label.configureStorage" bundle="storage" /></h4>
						<!--// Resiliency / Redundancy // -->
						<div class="form-group">
							<label class="col-xs-4 col-md-4 col-lg-4" for="Good"><cv:msg key="label.scaleoutConfiguration" bundle="storage" /></label>
							<div class="col-xs-8 col-md-8 col-lg-8">
								<label for="Good"><input type="radio"
										data-ng-model="globalTemplate.configureStorage.scaleoutconfigType"
										id="Good" value="Good" name="config-choice" ng-checked="true" /> <cv:msg key="label.scaleoutConfigType_Good" bundle="storage" />
								</label>
								<cv-help-component help-text="<cv:msg key="label.Scaleout.GoodHelpText" bundle="storage" />"></cv-help-component>
							</div>
							<div class="col-xs-8 col-md-8 col-lg-8 col-lg-offset-4">
								<label for="Better"><input type="radio"
										data-ng-model="globalTemplate.configureStorage.scaleoutconfigType"
										id="Better" value="Better" name="config-choice" /> <cv:msg key="label.scaleoutConfigType_Better" bundle="storage" />
								</label>
								<cv-help-component help-text="<cv:msg key="label.Scaleout.BetterHelpText" bundle="storage" />"></cv-help-component>
							</div>
							<div class="col-xs-8 col-md-8 col-lg-8 col-lg-offset-4">
								<label for="Best"><input type="radio"
										data-ng-model="globalTemplate.configureStorage.scaleoutconfigType"
										id="Best" value="Best" name="config-choice" /> <cv:msg key="label.scaleoutConfigType_Best" bundle="storage" />
								</label>
								<cv-help-component help-text="<cv:msg key="label.Scaleout.BestHelpText" bundle="storage" />"></cv-help-component>
							</div>
						</div>
						<div class="form-group">
							<label for="MediaAgents" class="col-xs-4 col-md-4 col-lg-4">
								<cv:msg key="label.nodes" bundle="storage" />
							</label>
							<div class="col-xs-8 col-md-8 col-lg-8">
								<isteven-multi-select id="MediaAgents" name="MediaAgents"
									input-model="mediaAgentList"
									output-model="globalTemplate.configureStorage.scaleoutAgentList"
									button-label="displayName" item-label="displayName" tick-property="ticked"
									class="isteven-multi-select user-group-select"
									id="MediaAgents"
									title="{{selectedMediaAgents}}"
									on-item-click="mediaAgentSelection()"
									on-select-none="mediaAgentSelection()"
									on-select-all="mediaAgentSelection()"
									on-reset="mediaAgentSelection()">
								</isteven-multi-select>
								<span class="help-block" data-ng-show="showMediaAgentErrorMessage"><i class="ion-alert-circled"></i><span data-ng-bind-html="showMediaAgentErrorMessage"></span></span>
							</div>
						</div>
						</cv-tile-component>
					</div>
					<!--scale-out storage for setup screen-->
				<!-- </div> -->
			</div>
			</div>
			<div class="button-container">
				<div data-ng-if="isSetup">
					<button id="storagePoolGeneralTemplate_button_#3026" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-if="isCurrentStepCompleted()" data-ng-click="skip()"><cv:msg key="Skip" /></button> 
					<button id="storagePoolGeneralTemplate_button_#2004" data-ng-if="isSetup" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-click="setupSaveButtonClick()"><cv:msg key="action.save" bundle="storage"/></button> 
					<button id="storagePoolGeneralTemplate_button_#8221" type="button" data-ng-click="saveGeneralTab()" class="btn btn-primary cvBusyOnAjax setup-btn--hidden" data-ng-disabled='!agentList.length || agentList.length < 0 || !libraries || libraries < 0'> 
					<cv:msg key="label.next" bundle="storage" /></button>
				</div>
				<div data-ng-if="!isSetup">
					<fmt:bundle basename="localization.messages">
						<button id="storagePoolGeneralTemplate_button_#4152" data-ng-if="!isModalFromMultipleDDBGrid"
						type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="closeModal()"> 
							<cv:msg key="Cancel" bundle="messages" />
						</button>
						<button data-ng-if="isModalFromMultipleDDBGrid" type="button" 
							class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="closeAddDiskModal({cancelOp: true})"> 
							<cv:msg key="Cancel" bundle="messages" />
						</button>
			
						<button id="storagePoolGeneralTemplate_button_#2422" data-ng-if="!isDiskStorageForMultipleDDBs"
						type="button" class="btn btn-primary cvBusyOnAjax" data-ng-click="createStoragePoolFromSetup(true)"> 
							<cv:msg key="Save" bundle="messages" />
						</button>
						<button type="submit" 
							class="btn btn-primary cvBusyOnAjax" 
							data-ng-if="isDiskStorageForMultipleDDBs" 
							data-ng-disabled="disableSaveButton()"> 
							<cv:msg key="Save" bundle="messages" />
						</button>
					</fmt:bundle>
				</div>
			</div>
		</form><!-- // end bootstrap-wrapper form-horizontal // -->
	</div> <!-- data-ng-hide="formStorage.hide" -->
</div>
<div class="button-container no-margin centered" data-ng-if="isSetup && formStorage.hide">
	<button id="storagePoolGeneralTemplate_button_#3367" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-click="skip()"><cv:msg key="Continue" /></button>
</div>
</div>
</div>
</div>